> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get contract terminated details



## OpenAPI

````yaml GET /contract/v1/contract-terminated/{contractId}
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /contract/v1/contract-terminated/{contractId}:
    get:
      tags:
        - Contract Terminated
      summary: Get contract terminated details
      operationId: GetContractTerminatedDetails
      parameters:
        - in: path
          name: contractId
          description: Contract ID
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Contract terminated details
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      contractEmployeeId:
                        type: string
                        format: uuid
                      contractEndDate:
                        type: string
                        format: date
                        example: '2022-12-13'
                      terminationReason:
                        type: string
                        example: voluntary leave
                      terminationType:
                        type: string
                        example: voluntary
                      comment:
                        type: string
                        example: found another job
                  meta:
                    type: object
                    properties:
                      currentPage:
                        type: integer
                        example: 1
                      lastPage:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 1
                      perPage:
                        type: integer
                        example: 1
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````